function value=PrattFOM(A,GT,alpha)

%
% -- Function File: x = PrattFOM(A,GT)
% -- Function File: x = PrattFOM(A,GT,alpha)
%
%   Compute Pratt's figure of merit of the candidate edge image A and the ground truth image GT using the parameter alpha (default alpha=1/9).
%

if exist('PrattFOMmex')~=3
  mex PrattFOMmex.c
end

if nargin<3
  alpha=1/9;
end

[ind1,ind2]=find(A==1);
IDXA=[ind1,ind2];

[ind1,ind2]=find(GT==1);
IDXGT=[ind1,ind2];

value=PrattFOMmex(IDXA,IDXGT,alpha);